Content-type: text/html

# MINDI

Section: Maintenance Commands (8)
Updated: 2006-08-09
Index Return to Main Contents

## NAME

mindi - a tool for creating boot/root disks

## SYNOPSIS

mindi
mindi -v| --version| -V| -version
mindi --findkernel
mindi --makemountlist file
mindi [--max-compressed-size max] --custom parameters

## DESCRIPTION

mindi creates a set of boot/root floppy disk images and/or a bootable ISO image using files from the system it runs on. mindi will try hard to reproduce the environment of its host system including loaded modules to ensure that the system can be booted properly from the created rescue media. mindi is used by monodarchive(8) to produce the required boot/root floppy or CD images but can also be used stand-alone.

For stand-alone usage, mindi is called without any parameters or switches. It will then interactively ask the user for all information required to create a set of boot/root media.

The probably more frequent way of calling mindi is non-interactively from mondoarchive(8) using the --custom switch. All required information is then provided via command line parameters. The sequence of these parameters is listed below.

## OPTIONS

-v| --version| -V| -version
  Prints the version of mindi.
--findkernel
  Finds the image of the running kernel in the file system.
--makemountlist file
  Creates a mount list and writes it to file file.
--max-compressed-size max
  Maximum size for disk image in KB.
--custom parameters
  Provide all required parameters to mindi for non-interactive calling. This usually means a call from mondoarchive(8). The following parameters are used:
  01) directory to use for temporary files
  02) directory to put disk images in
  03) path to kernel image
  04) tape device
  05) tape size [MB]
  06) total number of files in file list
  07) use LZO [yes|no]
  08) CD recovery media [yes|no]
  09) devices to include
  10) conservative LiLo settings [yes|no]
  11) number of last file list
  12) estimated total number of slices
  13) devices to exclude
  14) compare mode [yes|no]
  15) use lilo [yes|no]
  16) use star (rather than tar) [yes|no]
  17) internal tape block size [bytes]
  18) number of diffenrential backup
  19) make non-bootable [yes|no]
  (Blank parameters must be specified as "" on the command line.)

## DIAGNOSTICS

mindi writes some output to the console and extensive information to log file /var/log/mindi.log. When seeking technical support for mindi, please attach this file to your email.

## FILES

/var/log/mindi.log
  Log file of mindi run. Contains important information to analyze mindi problem reports.
/etc/mindi/deplist.txt
  List of files to be included on boot/root disks.
/root/images/mindi/N.tar.gz
  Number N of multiple tar balls together containing root file system for rescue media.
/root/images/mindi/all.tar.gz
  Single tar ball of root file system for rescue media.
/root/images/mindi/initrd.img
  initrd image for bootable ISO image.
/root/images/mindi/mindi-boot.F.img
  mindi boot floppy of size F [KB].
/root/images/mindi/mindi-root.F.img
  mindi root floppy of size F [KB].
/root/images/mindi/mindi-data.N.img
  mindi data floppy number N for boot/root floppies.
/root/images/mindi/mindi.iso
  mindi bootable ISO image.

## SEE ALSO

mondoarchive(8), mondorestore(8).

See mailing list at http://www.mondorescue.org for technical support.

## BUGS

The target location for the image files created by mindi is hard-coded to /root/images/mindi. As a workaround, it is suggested to make /root/images a symbolic link to the desired location for the image files.

## AUTHORS

Bruno Cornec (lead-development) bcornec_at_users.berlios.de
Andree Leidenfrost (co-developper) aleidenf_at_bigpond.net.au

## ORIGINAL AUTHORS

Hugo Rabson (original author) hugo.rabson_at_mondorescue.org
Jesse Keating (packaging) hosting_at_j2solutions.net
Stan Benoit (testing) troff_at_nakedsoul.org
Mikael Hultgren (docs) mikael_hultgren_at_gmx.net

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
DIAGNOSTICS
FILES
SEE ALSO
BUGS
AUTHORS
ORIGINAL AUTHORS

This document was created by man2html, using the manual pages.
Time: 00:11:06 GMT, August 09, 2006